Get the managed MicroVault authority
curl --request GET \
--url https://sandbox.groundtech.co/v2/microvaults/managed-authority \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.groundtech.co/v2/microvaults/managed-authority"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.groundtech.co/v2/microvaults/managed-authority', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ready",
"authorityAddress": "0x1111111111111111111111111111111111111111"
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}Onboarding and Authority
Get managed authority
GET
/
v2
/
microvaults
/
managed-authority
Get the managed MicroVault authority
Read the Turnkey authority that controls managed MicroVault administration for your organization.
MicroVaults are in private preview for enabled sandbox organizations on Ethereum Sepolia.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Current authority provisioning state.
Organization-scoped Turnkey authority used to authorize MicroVault administration.